/* InstLang.cmd - Install language support for Tame */

IF RxFuncQuery('SysLoadFuncs') THEN DO
    CALL RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
    CALL SysLoadFuncs
END

CALL SysCls
progname = 'Tame 0.9.6'
inifile = 'TAME.INI'
IF STREAM(inifile,'C','QUERY EXISTS') = "" THEN DO
    SAY 'Problem! '||inifile||' file does not exist.'
    SAY 'Did you install '||progname||'?'
    SAY 'Press Enter to exit and correct error.'
    PULL answer
    Exit
END

SAY 'This procedure will add Language support for '||progname||':'
SAY 'French, German, Japanese, Russian and Swedish.'
SAY 'Press "Y" to start Installation, any other key to exit...'
ans = TRANSLATE(SysGetKey('ECHO'))
SELECT
    WHEN ans = 'Y' THEN NOP
    OTHERWISE CALL NoAction 'Installation aborted.'
END

SAY ' '
CALL SysIni inifile, 'Language', 'JAPANESE', 'English.inf'
CALL SysIni inifile, 'Language', 'GERMAN', 'English.inf'
CALL SysIni inifile, 'Language', 'RUSSIAN', 'English.inf'
CALL SysIni inifile, 'Language', 'SWEDISH', 'Swedish.inf'

SAY ' '
InstallDir = Directory()
obj_tit.1 = progname||'^manual (Swedish)'
obj_set.1 = 'OBJECTID=<TAME_2_HLPSWE>;EXENAME=View.exe;PARAMETERS='InstallDir'\Swedish.inf;STARTUPDIR='InstallDir''
objects.0 = 1
DO i = 1 TO objects.0
    dummy = SysCreateObject('WPProgram',obj_tit.i,'<TAME_2_FOLDER>',obj_set.i,'U')
    SAY TRANSLATE(obj_tit.i,' ','^')||' - '||rc1(dummy)
END

SAY ' '
SAY 'Installation finished! Press Enter to exit ...'
PULL answer
CALL SysCls
Exit

/* NoAction - abort Install */

NoAction:   PROCEDURE

PARSE ARG noinstmsg
SAY ' '
SAY noinstmsg
SAY 'Press any key to exit ...'
ans = SysGetKey('NOECHO')
Exit

/* End of NoAction */

/* rc1 - return code - SysCreateObject */

rc1:        PROCEDURE

PARSE ARG rcSysCreateObject
SELECT
    WHEN rcSysCreateObject = 0 THEN rc1 = 'Error'
    OTHERWISE rc1 = 'OK'
END
RETURN rc1

/* End of rc1 */

/* EOF InstLang.cmd */

